=== debian/changelog ===
python-numpy (1:1.8.1-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - debian/patches/ppc64el_cpu_config.patch: Add support for ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Mar 2014 12:18:54 +0100

python-numpy (1:1.8.1-1) unstable; urgency=medium

  * New upstream bugfix release
    - remove upstream applied quantities-linspace.patch
    - remove upstream applied restore-3kcompat-api.patch

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 27 Mar 2014 19:29:12 +0100

python-numpy (1:1.8.1~rc1-2ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - debian/patches/ppc64el_cpu_config.patch: Add support for ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 10:12:03 +0100

python-numpy (1:1.8.1~rc1-2) unstable; urgency=medium

  * fix -arch build by only calling dh_sphinxdoc in -indep
  * quantities-linspace.patch: avoid breaking python-quantities

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 13 Mar 2014 18:40:56 +0100

python-numpy (1:1.8.1~rc1-1) unstable; urgency=low

  * New upstream bugfix release candidate
    - removed python-numpydoc from b-d, upstream tarballs includes it again
    - fixes insecure mktemp usage of f2py (Closes: #737778)
  * add autopkgtests running testsuite with different BLAS and testing f2py
    and distutils (Closes: #695881)
  * use dh_python2 instead of deprecated pysupport
  * 50_search-multiarch-paths.patch: drop, applied upstream
  * build depend on cython and cythonize mtrand.pyx (Closes: #710177)
  * move documentation build depends to -indep (Closes: #739019)
  * run tests in verbose mode (Closes: #724611)
  * python3-soabi.patch: fix ctypeslib for python3 soabi in extension filenames
  * debian/python3-numpy-dbg.install:
    - fix duplicate files in dbg package of kfreebsd (Closes: #740318)
  * bump Standards-Version to 3.9.5 (no changes needed)
  * restore-3kcompat-api.patch:
    add upstream patch to restore private api used by matplotlib

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 02 Mar 2014 15:33:25 +0100

python-numpy (1:1.8.0+git20140126-0ubuntu2) trusty; urgency=medium

  * Rebuild for Python 3.4.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Feb 2014 20:59:52 +0100

python-numpy (1:1.8.0+git20140126-0ubuntu1) trusty; urgency=low

  * New upstream release from maintenance/1.8.x branch.
    Commit: 95f7a469b1e9ce460e31c41e1bd897ceff396f6b
  * build depend on cython and regenerate mtrand.c

 -- Julian Taylor <jtaylor@ubuntu.com>  Sun, 26 Jan 2014 18:51:15 +0100

python-numpy (1:1.8.0+git20140115-0ubuntu1) trusty; urgency=low

  * New upstream release from maintenance/1.8.x branch.
    Commit: 49cff2bb068cfffbbb705d62e2cf325d7320d179
  * install numpy/tests for as installed ctypes tests
  * python3-soabi.patch: adapt ctypeslib to multiarch soabi extension
  * don't symlink numarray includes, minor file duplication that will
    disappear in next upstream release anyway
  * remove built documentation properly in clean target
  * add capi build autopackagetest
  * wrap-and-sort debian/
  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Build using dh_python2.
    - Add bin/f2py* to .install files.
    - Add autopkgtests.

 -- Julian Taylor <jtaylor@ubuntu.com>  Fri, 03 Jan 2014 17:10:24 +0100

python-numpy (1:1.7.1-5) unstable; urgency=high

  * Team upload
  * Brown-paper bag upload to fix the dbg packages in kfreebsd
    (Closes: #740318 for real).

 -- Didier Raboud <odyx@debian.org>  Thu, 06 Mar 2014 11:14:12 +0100

python-numpy (1:1.7.1-4) unstable; urgency=high

  * Team upload
  * Urgency high to fix coinstallability of kfreebsd in testing.

  [Julian Taylor]
  * debian/python3-numpy-dbg.install:
    - fix duplicate files in dbg package of kfreebsd (Closes: #740318)

 -- Didier Raboud <odyx@debian.org>  Wed, 05 Mar 2014 14:16:36 +0100

python-numpy (1:1.7.1-1ubuntu6) trusty; urgency=medium

  * Make autopkgtest shell scripts executable, so they can call each other.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 26 Dec 2013 02:01:12 -0700

python-numpy (1:1.7.1-1ubuntu5) trusty; urgency=medium

  * Revert the previous upload, re-enabling tests and docs.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 26 Dec 2013 00:24:13 -0700

python-numpy (1:1.7.1-1ubuntu4) trusty; urgency=medium

  * Temporarily disable building the documentation.
  * Temporarily disable running the autopkg tests.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Dec 2013 19:48:47 +0100

python-numpy (1:1.7.1-1ubuntu3) trusty; urgency=medium

  * Rebuild to get python3.4 support automatically built and included.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 24 Dec 2013 20:24:32 -0700

python-numpy (1:1.7.1-1ubuntu2) trusty; urgency=medium

  * debian/patches/ppc64el_cpu_config.patch: Add support for ppc64el.

 -- William Grant <wgrant@ubuntu.com>  Sun, 15 Dec 2013 14:33:37 +0000
