## python-numpy 1.8.2

=== debian/changelog ===
python-numpy (1:1.8.2-2) unstable; urgency=medium

  * ppc64el_cpu_config.patch: add ppc64el support (Closes: #756403)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 24 Aug 2014 11:10:34 +0200

python-numpy (1:1.8.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 09 Aug 2014 12:56:52 +0200
