=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-numpy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>,
            Julian Taylor <jtaylor.debian@googlemail.com>
 Build-Depends: cython,
@@ -10,7 +9,6 @@
                gfortran (>= 4:4.2),
                libblas-dev [!arm !m68k],
                liblapack-dev [!arm !m68k],
-               patchutils,
                python-all-dbg,
                python-all-dev,
                python-nose,
@@ -20,6 +18,7 @@
                python3-nose,
                python3-tz
 Build-Depends-Indep: python-docutils,
+                     python-matplotlib,
                      python-sphinx (>= 1.0.7+dfsg)
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
