=== debian/changelog ===
python-numpy (1:1.11.0-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Run the distutils autopkg test with allow-stderr restrictions.
    - Add build-essential to the python2 and python3 autopkg tests; tests
      trying to run a compiler.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Apr 2016 00:34:03 +0200

python-numpy (1:1.11.0-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release: Closes: #816369, #813429, #813932, #816574
  * debian/control
    - bump Standards-Version to 3.9.7 (no changes needed)

  [ Ondřej Nový ]
  * Fixed VCS URL

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Apr 2016 09:47:40 +0100

python-numpy (1:1.11.0~b3-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Run the distutils autopkg test with allow-stderr restrictions.
    - Add build-essential to the python2 and python3 autopkg tests; tests
      trying to run a compiler.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 11:39:17 +0100

python-numpy (1:1.11.0~b3-1) unstable; urgency=medium

  * New upstream beta release
  * debian/control
    - switch Vcs-Git to HTTPS

 -- Sandro Tosi <morph@debian.org>  Sat, 13 Feb 2016 23:06:52 +0000

python-numpy (1:1.11.0~b2-1) unstable; urgency=medium

  * New upstream beta release
  * debian/copyright
    - update upstream copyright notice
  * debian/rules
    - upstream deprecated setup.py clean, so replace dh_auto_clean with an
      explicit rm of the build/ dir
  * debian/python-numpy.docs
    - DEV_README was dropped, removed
  * debian/control
    - add setuptools to b-d

 -- Sandro Tosi <morph@debian.org>  Sun, 31 Jan 2016 00:44:41 +0000

python-numpy (1:1.10.4-2ubuntu2) xenial; urgency=medium

  * Run the distutils autopkg test with allow-stderr restrictions.
  * Add build-essential to the python2 and python3 autopkg tests; tests trying
    to run a compiler.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Feb 2016 13:53:37 +0100

python-numpy (1:1.10.4-2ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 16:21:16 +0100

python-numpy (1:1.10.4-2) unstable; urgency=medium

  * debian/patches/0006-disable-asserts-on-ppc-with-broken-malloc-only-longd.patch
    - recovered from the uploads to sid, needed to fix a FTBFS on powerpc

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Jan 2016 18:24:12 +0000

python-numpy (1:1.10.4-1) unstable; urgency=medium

  * New upstream release
    - fix a typo in help(numpy.kron); Closes: #777172
    - generate the referene content in the doc; Closes: #804479
  * debian/copyright
    - extend packaging copyright notice
  * dh_numpy and dh_numpy3 use 2 different files from where to read the
    versions, thus making the py3k package indipendent of the python2;
    Closes: #797943
  * debian/rules
    - dont fail when files are missing if we are running dpkg-bp -A;
      Closes: #806099
  * debian/patches/0005-Dont-fail-if-we-cant-import-mingw32.patch
    - skip the import of mingw32(), needed for the version.helper scripts

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Jan 2016 22:58:41 +0000

python-numpy (1:1.10.0~b1-1) experimental; urgency=medium

  * New upstream beta release
  * debian/patches/*
    - refreshed for new upstream code
  * debian/versions
    - bump API version to 10
  * debian/control
    - require nose version 1.0 or later
  * debian/copyright
    - extend upstream packaging years
    - remove/update copyright notice for updated files

 -- Sandro Tosi <morph@debian.org>  Wed, 12 Aug 2015 21:51:29 +0100

python-numpy (1:1.9.2-5ubuntu2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:11:51 +0000

python-numpy (1:1.9.2-5ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2016 11:45:49 +0100

python-numpy (1:1.9.2-5) unstable; urgency=medium

  * debian/patches/ppc_noassert.patch
    - fix 'if defined()' syntax, and select only powerpc and not powerpc64 as
      well; thanks to Emilio Pozuelo Monfort

 -- Sandro Tosi <morph@debian.org>  Thu, 01 Oct 2015 23:30:10 +0100

python-numpy (1:1.9.2-4) unstable; urgency=medium

  * debian/patches/ppc_noassert.patch
    - use the same powerpc macro as used in npy_cpu.h

 -- Sandro Tosi <morph@debian.org>  Thu, 01 Oct 2015 20:17:05 +0100

python-numpy (1:1.9.2-3) unstable; urgency=medium

  * debian/patches/ppc_noassert.patch
    - disable assert on PowerPC due to broken malloc; thanks to Julian Taylor
      for the patch; Closes: #800392


