=== debian/control ===
--- 
+++ 
@@ -1,30 +1,33 @@
 Source: python-numpy
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>,
            Julian Taylor <jtaylor.debian@googlemail.com>
 Build-Depends: cython,
                debhelper (>= 8.9.7~),
+               dh-python,
                gfortran (>= 4:4.2),
                libblas-dev [!arm !m68k],
                liblapack-dev [!arm !m68k],
                python-all-dbg,
                python-all-dev,
-               python-nose,
+               python-nose (>= 1.0),
                python-tz,
                python3-all-dbg,
                python3-all-dev,
-               python3-nose,
-               python3-tz
+               python3-nose (>= 1.0),
+               python3-tz,
+               python-setuptools,
+               python3-setuptools,
 Build-Depends-Indep: python-docutils,
-                     python-matplotlib,
                      python-sphinx (>= 1.0.7+dfsg)
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.5
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/numpy/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/numpy/trunk/
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-numpy.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-numpy.git
 Homepage: http://www.numpy.org/
 XS-Testsuite: autopkgtest
 
@@ -34,7 +37,7 @@
 Suggests: gcc (>= 4:4.6.1-5),
           gfortran,
           python-dev,
-          python-nose (>= 0.10.1),
+          python-nose (>= 1.0),
           python-numpy-dbg,
           python-numpy-doc
 Provides: python-f2py, python-numpy-dev, ${numpy:Provides}, ${python:Provides}
@@ -77,7 +80,7 @@
           gfortran,
           python-numpy-doc,
           python3-dev,
-          python3-nose (>= 0.10.1),
+          python3-nose (>= 1.0),
           python3-numpy-dbg
 Provides: python3-f2py,
           python3-numpy-dev,
