=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+DH_VERBOSE=1
 
 PY2VERS=$(shell pyversions -vr debian/control)
 PY3VERS=$(shell py3versions -vr)
@@ -23,7 +25,7 @@
 	done
 
 override_dh_auto_clean:
-	dh_auto_clean
+	rm -rf build/
 	rm -rf `find -name build -type d`
 	rm -rf `find . -name "*.pyc" -type f`
 	rm -rf doc/fontList.cache numpy/f2py/docs/usersguide/index.html
@@ -32,9 +34,9 @@
 	rm -f numpy/random/mtrand/mtrand.c
 
 override_dh_installman:
-	dh_installman -ppython-numpy numpy/f2py/f2py.1
-	dh_installman -ppython3-numpy numpy/f2py/f2py.1
-	mv debian/python3-numpy/usr/share/man/man1/f2py.1 \
+	dh_installman -ppython-numpy doc/f2py/f2py.1
+	dh_installman -ppython3-numpy doc/f2py/f2py.1
+	-mv debian/python3-numpy/usr/share/man/man1/f2py.1 \
 	  debian/python3-numpy/usr/share/man/man1/f2py3.1
 	# link manpage for versioned and dbg incarnations of f2py
 	set -e; for v in $(PY2VERS); do \
@@ -69,7 +71,7 @@
 	dh_install
 
 	# remove files installed from .install (that's due to the dir listed there)
-	find $(CURDIR)/debian/python-numpy/ -name "*_d.so" -delete
+	-find $(CURDIR)/debian/python-numpy/ -name "*_d.so" -delete
 
 	# create symlinks for .h files
 	dh_link -ppython-numpy usr/lib/python$(PYDEF)/dist-packages/numpy/core/include/numpy usr/include/numpy;
@@ -139,7 +141,6 @@
 build-indep: 
 	# build doc only for default python version
 	(export MPLCONFIGDIR=. ; make -C doc html PYTHONPATH=../$(PYLIBPATH))
-	rst2html numpy/f2py/docs/usersguide/index.txt > numpy/f2py/docs/usersguide/index.html
 
 update_intersphinx_mapping:
 	wget http://docs.python.org/dev/objects.inv -O debian/python.org_objects.inv
@@ -158,14 +159,14 @@
 	# source directory, so we need to mess with the import order so to
 	# select the code in the installation path
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	-set -e; for v in $(PY2VERS) ; do \
+	set -e; for v in $(PY2VERS) ; do \
 		echo "-- running tests for "$$v" plain --" ; \
 		python$$v -c "import sys ; sys.path.insert(0, '$(CURDIR)/debian/tmp/usr/lib/python$$v/dist-packages/') ; import numpy; numpy.test(verbose=5)" ; \
 		echo "-- running tests for "$$v" debug --" ; \
 		python$$v-dbg -c "import sys ; sys.path.insert(0, '$(CURDIR)/debian/tmp/usr/lib/python$$v/dist-packages/') ; import numpy; numpy.test(verbose=5)" ; \
 	done
 	# Python 3.2 maps to python3/ dir alone? bah
-	-set -e; for v in $(PY3VERS) ; do \
+	set -e; for v in $(PY3VERS) ; do \
 		echo "-- running tests for "$$v" plain --" ; \
 		python$$v -c "import sys ; sys.path.insert(0, '$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/') ; import numpy; numpy.test(verbose=5)" ; \
 		echo "-- running tests for "$$v" debug --" ; \
