=== debian/tests/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Tests: python2
-Depends: python-numpy, python-all, python-nose, python-tz
+Depends: build-essential, python-numpy, python-all, python-nose, python-tz
 
 Tests: python3
-Depends: python3-numpy, python3-all, python3-nose, python3-tz
+Depends: build-essential, python3-numpy, python3-all, python3-nose, python3-tz
 
 #needs root for update-alternatives
 Tests: openblas
@@ -18,6 +18,7 @@
 Depends: build-essential, gfortran, python-numpy, python-numpy-dbg, python-all, python-all-dbg, python-all-dev, python3-numpy, python3-numpy-dbg, python3-all, python3-all-dbg, python3-all-dev
 
 Tests: distutils
+Restrictions: allow-stderr
 Depends: build-essential, libfftw3-dev, python-numpy
 
 Tests: capi
