=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/;s/b/~b/" \
http://qa.debian.org/watch/sf.php/numpy/numpy-(.*)\.tar\.gz
