## python-numpy 1.11.1~rc1

=== debian/changelog ===
python-numpy (1:1.11.1~rc1-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Run the distutils autopkg test with allow-stderr restrictions.
    - Add build-essential to the python2 and python3 autopkg tests; tests
      trying to run a compiler.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Sep 2016 15:49:41 +0200

python-numpy (1:1.11.1~rc1-1) unstable; urgency=medium

  * New upstream release candidate
  * debian/control
    - bump Standards-Version to 3.9.8 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 30 May 2016 21:41:04 +0100
