=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                      python-sphinx (>= 1.0.7+dfsg)
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-numpy.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-numpy.git
 Homepage: http://www.numpy.org/
